IIsWebServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.iis.IIsWebServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.iis
Interface IIsWebServer

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface IIsWebServer

extends LogicalElement

Represents an instance of an IIsWebServer.

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  IISWEBSERVER
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAccessFlags()`
`java.lang.String` | `getAppIsolation()`
`java.lang.String` | `getAppPoolId()`
`boolean` | `getContentIndexed()`
`java.lang.String` | `getDirBrowseFlags()`
`boolean` | `getDontLog()`
`IIsParameter[]` | `getIIsParameters()`
`java.lang.String` | `getIIsParametersRaw()`
`java.lang.String` | `getIIsPath()`
`java.lang.String` | `getName()`
`IIsWebService` | `getParent()`
`IIsWebVirtualDir` | `getRoot()`
`java.lang.String` | `getRootPath()`
`java.lang.String` | `getSecureBindings()`
`java.lang.String` | `getServerBindings()`
`IIsWebVirtualDir[]` | `getWebVirtualDirs()`
`boolean` | `hasAccessFlags()`
`boolean` | `hasAppIsolation()`
`boolean` | `hasAppPoolId()`
`boolean` | `hasContentIndexed()`
`boolean` | `hasDirBrowseFlags()`
`boolean` | `hasDontLog()`
`boolean` | `hasIIsParameters()`
`boolean` | `hasIIsParametersRaw()`
`boolean` | `hasIIsPath()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasRoot()`
`boolean` | `hasRootPath()`
`boolean` | `hasSecureBindings()`
`boolean` | `hasServerBindings()`
`boolean` | `hasWebVirtualDirs()`
`void` | `setAccessFlags(java.lang.String accessFlags)`
`void` | `setAppIsolation(java.lang.String appIsolation)`
`void` | `setAppPoolId(java.lang.String appPoolId)`
`void` | `setContentIndexed(boolean contentIndexed)`
`void` | `setDirBrowseFlags(java.lang.String dirBrowseFlags)`
`void` | `setDontLog(boolean dontLog)`
`void` | `setIIsParameters(IIsParameter[] parameters)`
`void` | `setIIsParametersRaw(java.lang.String parameters)`
`void` | `setIIsPath(java.lang.String iisPath)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(IIsWebService parent)`
`void` | `setRoot(IIsWebVirtualDir root)`
`void` | `setRootPath(java.lang.String rootPath)`
`void` | `setSecureBindings(java.lang.String secureBindings)`
`void` | `setServerBindings(java.lang.String serverBindings)`
`void` | `setWebVirtualDirs(IIsWebVirtualDir[] sites)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(IIsWebService parent)

### getParent

    IIsWebService getParent()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setIIsPath

    void setIIsPath(java.lang.String iisPath)

### getIIsPath

    java.lang.String getIIsPath()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIIsPath

    boolean hasIIsPath()

### setName

    void setName(java.lang.String name)

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setAccessFlags

    void setAccessFlags(java.lang.String accessFlags)

### getAccessFlags

    java.lang.String getAccessFlags()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAccessFlags

    boolean hasAccessFlags()

### setDirBrowseFlags

    void setDirBrowseFlags(java.lang.String dirBrowseFlags)

### getDirBrowseFlags

    java.lang.String getDirBrowseFlags()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDirBrowseFlags

    boolean hasDirBrowseFlags()

### setContentIndexed

    void setContentIndexed(boolean contentIndexed)

### getContentIndexed

    boolean getContentIndexed()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasContentIndexed

    boolean hasContentIndexed()

### setDontLog

    void setDontLog(boolean dontLog)

### getDontLog

    boolean getDontLog()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDontLog

    boolean hasDontLog()

### setAppIsolation

    void setAppIsolation(java.lang.String appIsolation)

### getAppIsolation

    java.lang.String getAppIsolation()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAppIsolation

    boolean hasAppIsolation()

### setServerBindings

    void setServerBindings(java.lang.String serverBindings)

### getServerBindings

    java.lang.String getServerBindings()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasServerBindings

    boolean hasServerBindings()

### setSecureBindings

    void setSecureBindings(java.lang.String secureBindings)

### getSecureBindings

    java.lang.String getSecureBindings()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSecureBindings

    boolean hasSecureBindings()

### setAppPoolId

    void setAppPoolId(java.lang.String appPoolId)

### getAppPoolId

    java.lang.String getAppPoolId()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAppPoolId

    boolean hasAppPoolId()

### setRootPath

    void setRootPath(java.lang.String rootPath)

### getRootPath

    java.lang.String getRootPath()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRootPath

    boolean hasRootPath()

### setIIsParameters

    void setIIsParameters(IIsParameter[] parameters)

### getIIsParameters

    IIsParameter[] getIIsParameters()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasIIsParameters

    boolean hasIIsParameters()

### setIIsParametersRaw

    void setIIsParametersRaw(java.lang.String parameters)

### getIIsParametersRaw

    java.lang.String getIIsParametersRaw()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIIsParametersRaw

    boolean hasIIsParametersRaw()

### setRoot

    void setRoot(IIsWebVirtualDir root)

### getRoot

    IIsWebVirtualDir getRoot()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasRoot

    boolean hasRoot()

### setWebVirtualDirs

    void setWebVirtualDirs(IIsWebVirtualDir[] sites)

### getWebVirtualDirs

    IIsWebVirtualDir[] getWebVirtualDirs()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasWebVirtualDirs

    boolean hasWebVirtualDirs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD